## python-hdf4 0.9.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-hdf4.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-hdf4.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-hdf4"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-hdf4"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== pyhdf/Makefile ===
# $Id: Makefile,v 1.4 2008-06-30 02:41:44 gosselin_a Exp $
# $Log: not supported by cvs2svn $
# Revision 1.3  2005/07/14 01:36:41  gosselin_a
# pyhdf-0.7-3
# Ported to HDF4.2r1.
# Support for SZIP compression on SDS datasets.
# All classes are now 'new-style' classes, deriving from 'object'.
# Update documentation.
#
# Revision 1.2  2004/11/03 16:02:06  gosselin_a
# Change include and lib directories to the Python2.4 distribution
# (previously Python2.3).
#
# Revision 1.1  2004/08/02 15:00:34  gosselin
# Initial revision
#
#
# ------------------------------------------------------------
# SWIG Examples Makefile
#
# This file is used by the examples to build modules.  Assuming
# you ran configure, this file will probably work.  However,
# it's not perfect so you might need to do some hand tweaking.
#
# Other notes:
#
# 1.   Take a look at the prefixes below.   Since SWIG works with
#      multiple target languages, you may need to find out where
#      certain packages have been installed.   Set the prefixes
#      accordingly.
#
# 2.   To use this makefile, simply set SRCS, INTERFACE, INCLUDES, LIBS,
#      TARGET, and do a
#           $(MAKE) -f Makefile.template.in SRCS='$(SRCS)' \
#           INCLUDES='$(INCLUDES) LIBS='$(LIBS)' INTERFACE='$(INTERFACE)' \
#           TARGET='$(TARGET)' method
#
#      'method' describes what is being built.
#---------------------------------------------------------------

# Adjust for the local installation
# See also PYTHON section below
# 
INCLUDES = -I/usr/include/hdf
LIBS       = -L/usr/lib/hdf -lmfhdf -ldf -lz -ljpeg 
#LIBS       = -L/usr/lib/hdf -lmfhdf -ldf -lz -ljpeg -lsz

TARGET     = hdfext
INTERFACE  = hdfext.i

CC         = gcc
CXX        = g++
CFLAGS     =
prefix     = /usr
exec_prefix= ${prefix}
SRCS       = 
SWIGOPT    = 
SWIG       = swig
RUNTIMEDIR = $(exec_prefix)/lib

LIBM       = -lieee -lm
LIBC       = 
LIBCRYPT   = -lcrypt
SYSLIBS    = $(LIBM) $(LIBC) $(LIBCRYPT)

libtool_comp = $(TOP)/../Tools/libtool --mode compile
libtool_link = $(TOP)/../Tools/libtool --mode link

# X11 options

XLIB       = -L/usr/X11R6/lib -lX11
XINCLUDE   = -I/usr/X11R6/include

IWRAP      = $(INTERFACE:.i=_wrap.i)
ISRCS      = $(IWRAP:.i=.c)
ICXXSRCS   = $(IWRAP:.i=.cxx)
IOBJS      = $(IWRAP:.i=.o)

##################################################################
# Dynamic loading for C++
# If you are going to be building dynamic loadable modules in C++,
# you may need to edit this line appropriately.
#
# This line works for g++, but I'm not sure what it might be
# for other C++ compilers
##################################################################

CPP_DLLIBS = #-L/usr/local/lib/gcc-lib/sparc-sun-solaris2.5.1/2.7.2 \
             -L/usr/local/lib -lg++ -lstdc++ -lgcc

# Solaris workshop 5.0 
# CPP_DLLIBS = -L/opt/SUNWspro/lib -lCrun

# Symbols used for using shared libraries
SO=		.so
LDSHARED=	gcc -shared
CCSHARED=	-fpic
CXXSHARED=      gcc -shared

# This is used for building shared libraries with a number of C++
# compilers.   If it doesn't work,  comment it out.
CXXSHARED= g++ -shared 

OBJS      = $(SRCS:.c=.o) $(CXXSRCS:.cxx=.o)

##################################################################
#####                       Tcl/Tk                          ######
##################################################################

# Set these to your local copy of Tcl/Tk.

TCL_INCLUDE = -I/usr/include
TCL_LIB     = -L/usr/lib -ltcl8.3${TCL_DBGX}
TCL_OPTS    = -ldl 
TK_OPTS     = -ltk -ltcl -ldl 

# Extra Tcl specific dynamic linking options
TCL_DLNK   = 

# -----------------------------------------------------------
# Build a new version of the tclsh shell
# -----------------------------------------------------------


tclsh: $(SRCS)
	$(SWIG) -tcl8 $(SWIGOPT) $(TCL_SWIGOPTS) -ltclsh.i $(INTERFACE)
	$(CC) $(CFLAGS) $(SRCS) $(ISRCS) $(INCLUDES) $(TCL_INCLUDE) \
	$(TCL_LIB)  $(TCL_OPTS) $(LIBS) $(SYSLIBS) -o $(TARGET)

tclsh_cpp: $(SRCS)
	$(SWIG) -tcl8 -c++ $(SWIGOPT) $(TCL_SWIGOPTS) -ltclsh.i $(INTERFACE)
	$(CXX) $(CFLAGS) $(SRCS) $(CXXSRCS) $(ICXXSRCS) $(INCLUDES) $(TCL_INCLUDE) \
	$(TCL_LIB) $(TCL_OPTS) $(LIBS) $(SYSLIBS) -o $(TARGET)

# -----------------------------------------------------------
# Build a new copy of wish
# -----------------------------------------------------------

wish: $(SRCS)
	$(SWIG) -tcl8 $(SWIGOPT) $(TCL_SWIGOPTS) -lwish.i $(INTERFACE)
	$(CC) $(CFLAGS) $(SRCS) $(ISRCS) $(INCLUDES) $(TCL_INCLUDE) \
	$(XINCLUDE) $(TCL_LIB) $(TK_OPTS) $(XLIB) $(LIBS) $(SYSLIBS) -o $(TARGET)


wish_cpp: $(SRCS)
	$(SWIG) -tcl8 -c++ $(SWIGOPT) $(TCL_SWIGOPTS) -lwish.i $(INTERFACE)
	$(CXX) $(CFLAGS) $(SRCS) $(CXXSRCS) $(ICXXSRCS) $(INCLUDES) $(TCL_INCLUDE) \
	$(XINCLUDE) $(TCL_LIB) $(TK_OPTS) $(XLIB) $(LIBS) $(SYSLIBS) -o $(TARGET)

# -----------------------------------------------------------
# Build a Tcl dynamic loadable module (you might need to tweak this)
# -----------------------------------------------------------

tcl:  $(SRCS)
	$(SWIG) -tcl8 $(SWIGOPT) $(TCL_SWIGOPTS) $(INTERFACE)
	$(CC) -c $(CCSHARED) $(CFLAGS) $(SRCS) $(ISRCS) $(INCLUDES) $(TCL_INCLUDE)
	$(LDSHARED) $(OBJS) $(IOBJS) $(TCL_DLNK) $(LIBS) -o $(TARGET)$(SO)

# -----------------------------------------------------------
# Build a Tcl7.5 dynamic loadable module for C++
# -----------------------------------------------------------

tcl_cpp: $(SRCS)
	$(SWIG) -tcl8 -c++ $(SWIGOPT) $(TCL_SWIGOPTS) $(INTERFACE)
	$(CXX) -c $(CCSHARED) $(CFLAGS) $(SRCS) $(CXXSRCS) $(ICXXSRCS) $(INCLUDES) $(TCL_INCLUDE)
	$(CXXSHARED) $(OBJS) $(IOBJS) $(TCL_DLNK) $(LIBS) $(CPP_DLLIBS) -o $(TARGET)$(SO)

# -----------------------------------------------------------
# Build a Tcl7.5 dynamic loadable module, linked against SWIG runtime lib
# -----------------------------------------------------------

TCL_RUNTIME=-L$(RUNTIMEDIR) -lswigtcl8

tcl_multi:  $(SRCS)
	$(SWIG) -c -tcl8 $(SWIGOPT) $(TCL_SWIGOPTS) $(INTERFACE)
	$(CC) -c $(CCSHARED) $(CFLAGS) $(SRCS) $(ISRCS) $(INCLUDES) $(TCL_INCLUDE)
	$(LDSHARED) $(OBJS) $(IOBJS) $(TCL_RUNTIME) $(TCL_DLNK) $(LIBS) -o $(TARGET)$(SO)

tcl_multi_cpp: $(SRCS)
	$(SWIG) -c -tcl8 -c++ $(SWIGOPT) $(TCL_SWIGOPTS) $(INTERFACE)
	$(CXX) -c $(CCSHARED) $(CFLAGS) $(SRCS) $(CXXSRCS) $(ICXXSRCS) $(INCLUDES) $(TCL_INCLUDE)
	$(CXXSHARED) $(OBJS) $(IOBJS) $(TCL_RUNTIME) $(TCL_DLNK) $(LIBS) $(CPP_DLLIBS) -o $(TARGET)$(SO)

# -----------------------------------------------------------------
# Cleaning the Tcl examples
# -----------------------------------------------------------------

tcl_clean:
	rm -f *.o *.so *_wrap* *~ .~* core  mytclsh 

##################################################################
#####                       PERL 5                          ######
##################################################################

# You need to set this variable to the Perl5 directory containing the
# files "perl.h", "EXTERN.h" and "XSUB.h".   With Perl5.003, it's
# usually something like /usr/local/lib/perl5/arch-osname/5.003/CORE.

PERL5_INCLUDE= /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE

# Extra Perl specific dynamic linking options
PERL5_DLNK   = 

PERL5_CCFLAGS = -D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gdbm

# ----------------------------------------------------------------
# Build a Perl5 dynamically loadable module (C)
# ----------------------------------------------------------------

perl5: $(SRCS)
	$(SWIG) -perl5 $(SWIGOPT) $(INTERFACE)
	$(CC) -c -Dbool=char $(CCSHARED) $(CFLAGS) $(SRCS) $(ISRCS) $(INCLUDES) $(PERL5_CCFLAGS) -I$(PERL5_INCLUDE)
	$(LDSHARED) $(OBJS) $(IOBJS) $(PERL5_DLNK) $(LIBS) -o $(TARGET)$(SO)

# ----------------------------------------------------------------
# Build a Perl5 dynamically loadable module (C++)
# ----------------------------------------------------------------

perl5_cpp: $(SRCS)
	$(SWIG) -perl5 -c++ $(SWIGOPT) $(INTERFACE)
	$(CXX) -c $(CCSHARED) $(CFLAGS) -Dexplicit= $(SRCS) $(CXXSRCS) $(ICXXSRCS) $(INCLUDES) $(PERL5_CCFLAGS) -I$(PERL5_INCLUDE)
	$(CXXSHARED) $(OBJS) $(IOBJS) $(PERL5_DLNK) $(LIBS) $(CPP_DLLIBS) -o $(TARGET)$(SO)

# ----------------------------------------------------------------
# Build a Perl5 dynamically loadable module, linked against SWIG runtime lib
# ----------------------------------------------------------------

PERL5_RUNTIME=-L$(RUNTIMEDIR) -lswigpl

perl5_multi: $(SRCS)
	$(SWIG) -c -perl5 $(SWIGOPT) $(INTERFACE)
	$(CC) -c -Dbool=char $(CCSHARED) $(CFLAGS) $(SRCS) $(ISRCS) $(INCLUDES) $(PERL5_CCFLAGS) -I$(PERL5_INCLUDE)
	$(LDSHARED) $(OBJS) $(IOBJS) $(PERL5_RUNTIME) $(PERL5_DLNK) $(LIBS) -o $(TARGET)$(SO)

perl5_multi_cpp: $(SRCS)
	$(SWIG) -c -perl5 -c++ $(SWIGOPT) $(INTERFACE)
	$(CXX) -c $(CCSHARED) $(CFLAGS) -Dexplicit= $(SRCS) $(CXXSRCS) $(ICXXSRCS) $(INCLUDES) $(PERL5_CCFLAGS) -I$(PERL5_INCLUDE)
	$(CXXSHARED) $(OBJS) $(IOBJS) $(PERL5_RUNTIME) $(PERL5_DLNK) $(LIBS) $(CPP_DLLIBS) -o $(TARGET)$(SO)

# ----------------------------------------------------------------
# Build a module from existing XS C source code.   (ie. from xsubpp).
# ----------------------------------------------------------------
perl5_xs: $(SRCS)
	$(CC) -c $(CCSHARED) $(CFLAGS) $(SRCS) $(INCLUDES) -I$(PERL5_INCLUDE)
	$(LDSHARED) $(OBJS) $(LIBS) -o $(TARGET)$(SO)

# ----------------------------------------------------------------
# Build a statically linked Perl5 executable
# ----------------------------------------------------------------

PERL5_LIB    = -L$(PERL5_INCLUDE) -lperl.so -ldl  $(SYSLIBS)

perl5_static: $(SRCS)
	$(SWIG) -perl5 -static -lperlmain.i $(SWIGOPT) $(INTERFACE)
	$(CC) $(CFLAGS) -Dbool=char $(SRCS) $(ISRCS) $(INCLUDES) -I$(PERL5_INCLUDE) $(PERL5_LIB) $(LIBS) -o $(TARGET)

perl5_static_cpp: $(SRCS)
	$(SWIG) -perl5 -c++ -static -lperlmain.i $(SWIGOPT) $(INTERFACE)
	$(CXX) $(CFLAGS) -Dexplicit= $(SRCS) $(CXXSRCS) $(ICXXSRCS) $(INCLUDES) -I$(PERL5_INCLUDE) $(PERL5_LIB) $(LIBS) -o $(TARGET)

# -----------------------------------------------------------------
# Cleaning the Perl5 examples
# -----------------------------------------------------------------

perl5_clean:
	rm -f *.o *.so *_wrap* *~ .~* core  myperl *.pm

##################################################################
#####                       PYTHON                          ######
##################################################################

# Make sure these locate your Python installation
PYTHON_VER = python2.4
PYTHON_INCLUDE= -DHAVE_CONFIG_H \
                -I/usr/include/${PYTHON_VER} \
                -I/usr/lib/${PYTHON_VER}/config \
                -I/usr/lib/${PYTHON_VER}/site-packages/numpy/core/include
PYTHON_LIB    = /usr/lib/${PYTHON_VER}/config

# Extra Python specific dynamic linking options
PYTHON_DLNK   = 

# ----------------------------------------------------------------
# Build a C dynamically loadable module
# ----------------------------------------------------------------

python: $(SRCS)
	$(SWIG) -python $(SWIGOPT) $(INTERFACE)
	$(CC) -c $(CCSHARED) $(CFLAGS) $(ISRCS) $(SRCS) $(INCLUDES) $(PYTHON_INCLUDE)
	$(LDSHARED) $(OBJS) $(IOBJS) $(PYTHON_DLNK) $(LIBS) -o _$(TARGET)$(SO)

# -----------------------------------------------------------------
# Build a C++ dynamically loadable module
# -----------------------------------------------------------------

python_cpp: $(SRCS)
	$(SWIG) -c++ -python $(SWIGOPT) $(INTERFACE)
	$(CXX) -c $(CCSHARED) $(CFLAGS) $(ICXXSRCS) $(SRCS) $(CXXSRCS) $(INCLUDES) $(PYTHON_INCLUDE)
	$(CXXSHARED) $(OBJS) $(IOBJS) $(PYTHON_DLNK) $(LIBS) $(CPP_DLLIBS) -o _$(TARGET)$(SO)

# -----------------------------------------------------------------
# Build a dynamically loadable module, linked against SWIG Runtime lib
# -----------------------------------------------------------------

PYTHON_RUNTIME=-L$(RUNTIMEDIR) -lswigpy

python_multi: $(SRCS)
	$(SWIG) -c -python $(SWIGOPT) $(INTERFACE)
	$(CC) -c $(CCSHARED) $(CFLAGS) $(ISRCS) $(SRCS) $(INCLUDES) $(PYTHON_INCLUDE)

=== debian/changelog ===
python-hdf4 (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    - drop 0001-Use-hdf4-alt.patch: no longer necessary
    - drop 0002-Do-not-pass-empty-arguments-to-setup.patch:
      no longer necessary

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 20 Feb 2019 07:04:19 +0000

python-hdf4 (0.9.1-1) unstable; urgency=medium

  * Initial version (Closes: #917254)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 30 Dec 2018 16:39:26 +0000

=== debian/control ===
Source: python-hdf4
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               libhdf4-alt-dev,
               libjpeg-dev,
               python3-all-dev,
               python3-nose,
               python3-numpy,
               python3-setuptools,
               zlib1g-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-hdf4
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-hdf4.git
Homepage: https://github.com/fhs/python-hdf4

Package: python3-hdf4
Architecture: any
Depends: python3-numpy,
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python-HDF4: Python interface to the NCSA HDF4 library
 The Python-HDF4 package wraps the functionality of the NCSA HDF version
 4 library inside a Python OOP framework. The SD (scientific dataset),
 VS (Vdata) and V (Vgroup) APIs are currently implemented.  SD datasets
 are read/written through numpy arrays. NetCDF files can also be read
 and modified with Python-HDF4.
 .
 This package is a fork of pyhdf (http://pysclint.sourceforge.net/pyhdf/).

## python-hdf4 0.10.1

=== debian/changelog ===
python-hdf4 (0.10.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.
  * Update copyright holder name from pyhdf4 to pyhdf.

  [ Antonio Valentino ]
  * New upstream release.
  * Update debian/copyright file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 10 Jul 2019 05:51:58 +0000

## python-hdf4 0.10.2

=== Makefile ===
PYTHON = python

.PHONY: all
all: build

.PHONY: build
build:
	make -C pyhdf build
	$(PYTHON) setup.py build

.PHONY: install
install: build
	$(PYTHON) setup.py install

.PHONY: builddoc
.ONESHELL:
builddoc:
	export PYTHONPATH=$(shell pwd)
	$(PYTHON) setup.py build_ext --inplace
	make -C doc clean
	make -C doc html
	@echo
	@echo doc index is doc/_build/html/index.html

.PHONY: clean
clean:
	rm -rf build/ dist/ pyhdf.egg-info examples/*/*.hdf
	make -C pyhdf clean
	make -C doc clean

.PHONY: dist
dist:
	$(PYTHON) setup.py sdist
	@echo Upload to test site:
	@echo $(PYTHON) -m twine upload --repository-url https://test.pypi.org/legacy/ dist/*
	@echo Upload to PyPI:
	@echo $(PYTHON) -m twine upload dist/*

=== pyhdf/Makefile ===

.PHONY: build
build: hdfext.py hdfext_wrap.c

hdfext.py: hdfext.i
	swig -python hdfext.i

hdfext_wrap.c: hdfext.py
	# Already generated by swig. Do nothing.

.PHONY: clean
clean:
	rm -rf __pycache__ *.so *.pyc

=== debian/changelog ===
python-hdf4 (0.10.2-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:23:04 +0100

python-hdf4 (0.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Explicitly set Rules-Requires-Root: no.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 06 Dec 2019 07:15:06 +0000

python-hdf4 (0.10.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Use debhelper-compat instead of debian/compat.
  * Set compat to 12.
  * Set upstream metadata fields: Contact.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 04 Sep 2019 20:04:00 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                libhdf4-alt-dev,
                libjpeg-dev,
@@ -12,7 +13,7 @@
                python3-numpy,
                python3-setuptools,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-hdf4
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-hdf4.git
 Homepage: https://github.com/fhs/python-hdf4

=== debian/tests/control ===
Tests: python3
Depends: @, python3-nose

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|python-hdf4)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/python-hdf4-$1.$2/ \
https://github.com/fhs/python-hdf4/releases \
(?:.*?/archive/)?(?:rel|v|python-hdf4)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-hdf4 0.10.3

=== debian/changelog ===
python-hdf4 (0.10.3-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:07:08 +0000

python-hdf4 (0.10.3-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * Bump Standards-Version to 4.5.1, no changes.

  [ Bas Couwenberg ]
  * Update watch file for GitHub URL changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 18 Aug 2021 08:13:22 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-numpy,
                python3-setuptools,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-hdf4
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-hdf4.git
 Homepage: https://github.com/fhs/python-hdf4

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|python-hdf4)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/python-hdf4-$1.$2/ \
https://github.com/fhs/python-hdf4/releases \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|python-hdf4)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-hdf4 0.10.5

=== debian/changelog ===
python-hdf4 (0.10.5-3) unstable; urgency=medium

  * Fix d/tests/python3 script to use pytest.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 22 Aug 2022 19:22:41 +0000

python-hdf4 (0.10.5-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Use supported python3 versions in autopkgtest.

  [ Antonio Valentino ]
  * Fix d/copyright formatting.
  * Remove nose dependency, use pytest instead.
  * debian/control:
    - use pybuild-plugin-pyproject.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Aug 2022 14:21:40 +0000

python-hdf4 (0.10.5-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright.
  * debian/control:
    - do not use unexisting "python3:Recommends" and
      "python3:Suggests" substitution variables.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 13 May 2022 05:57:29 +0000

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
                dh-python,
                libhdf4-alt-dev,
                libjpeg-dev,
+               pybuild-plugin-pyproject,
                python3-all-dev,
-               python3-nose,
+               python3-pytest,
                python3-numpy,
                python3-setuptools,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-hdf4
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-hdf4.git
 Homepage: https://github.com/fhs/python-hdf4
@@ -24,8 +25,6 @@
          ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}
 Description: Python-HDF4: Python interface to the NCSA HDF4 library
  The Python-HDF4 package wraps the functionality of the NCSA HDF version
  4 library inside a Python OOP framework. The SD (scientific dataset),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=python-hdf4
export DEB_BUILD_MAINT_OPTIONS=hardening=+all


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3
	dh_numpy3

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r *.egg-info

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|python-hdf4)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/python-hdf4-$1.$2/ \
https://github.com/fhs/python-hdf4/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|python-hdf4)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-hdf4 0.11.3

=== debian/changelog ===
python-hdf4 (0.11.3-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.
  * Enable Salsa CI.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 27 Jun 2023 05:44:37 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libhdf4-alt-dev,
                libjpeg-dev,
@@ -14,15 +14,14 @@
                python3-numpy,
                python3-setuptools,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-hdf4
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-hdf4.git
 Homepage: https://github.com/fhs/python-hdf4
 
 Package: python3-hdf4
 Architecture: any
-Depends: python3-numpy,
-         ${python3:Depends},
+Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
 Description: Python-HDF4: Python interface to the NCSA HDF4 library

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,7 @@
 
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
-
-override_dh_python3:
-	dh_python3
-	dh_numpy3
+	dh $@ --with python3,numpy3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

## python-hdf4 0.11.4

=== debian/changelog ===
python-hdf4 (0.11.4-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with HDF 4.3.0.
    (closes: #1068384)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 09 Apr 2024 20:52:13 +0200

python-hdf4 (0.11.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop hdf4alt.patch, applied upstream.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 28 Mar 2024 09:56:41 +0000

python-hdf4 (0.11.3-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS by search Multi-Arch path for hdf4alt libraries.
    (closes: #1066395)
  * Update upstream repo URLs.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Mar 2024 15:53:45 +0100

python-hdf4 (0.11.3-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove generated files in clean target.
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * debian/control:
    - Use the <!nocheck> marker.
  * Switch to autopkgtest-pkg-pybuild.
  * New d/python3-hdf4.lintian-overrides file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 05 Dec 2023 20:01:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: python-hdf4
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
+Testsuite: autopkgtest-pkg-pybuild
 Section: python
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                libhdf4-alt-dev,
                libjpeg-dev,
                pybuild-plugin-pyproject,
                python3-all-dev,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-numpy,
                python3-setuptools,
                zlib1g-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-hdf4
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-hdf4.git
-Homepage: https://github.com/fhs/python-hdf4
+Homepage: https://github.com/fhs/pyhdf
 
 Package: python3-hdf4
 Architecture: any

## python-hdf4 0.11.6

=== Makefile ===
PYTHON = python

.PHONY: all
all: build

.PHONY: build
build:
	make -C pyhdf build
	$(PYTHON) -m build

.PHONY: install
install: build
	$(PYTHON) -m pip install .

.PHONY: builddoc
.ONESHELL:
builddoc:
	export PYTHONPATH=$(shell pwd)
	$(PYTHON) install -e .
	make -C doc clean
	make -C doc html
	@echo
	@echo doc index is doc/_build/html/index.html

.PHONY: clean
test:
	$(PYTHON) -m pip install -e .
	pytest
	$(PYTHON) examples/runall.py

.PHONY: clean
clean:
	rm -rf build/ dist/ pyhdf.egg-info examples/*/*.hdf
	make -C pyhdf clean
	make -C doc clean

.PHONY: dist
dist:
	$(PYTHON) -m build
	@echo Upload to test site:
	@echo $(PYTHON) -m twine upload --repository-url https://test.pypi.org/legacy/ dist/*
	@echo Upload to PyPI:
	@echo $(PYTHON) -m twine upload dist/*

=== doc/Makefile ===
--- 
+++ 
@@ -85,17 +85,17 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-hdf4.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyhdf.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-hdf4.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyhdf.qhc"
 
 devhelp:
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-hdf4"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-hdf4"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyhdf"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyhdf"
 	@echo "# devhelp"
 
 epub:

=== debian/changelog ===
python-hdf4 (0.11.6-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes.
  * Replace libhdf4-alt-dev with libhdf4-dev.
    (closes: #1108651)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Aug 2025 04:25:41 +0200

python-hdf4 (0.11.6-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Add dependency on setuptools-scm.
  * Update dates in d/copyright.
  * debian/patches:
    - Drop hdf-4.3.0.patch, applied upstream.
    - Refresh and renumber remaining patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 05 Jan 2025 10:35:22 +0000

python-hdf4 (0.11.4-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add patch to fix FTBFS with GCC 14.
    (closes: #1075417)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Jul 2024 13:07:54 +0000

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,16 @@
                dh-python,
                dh-sequence-numpy3,
                dh-sequence-python3,
-               libhdf4-alt-dev,
+               libhdf4-dev,
                libjpeg-dev,
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-pytest <!nocheck>,
                python3-numpy,
                python3-setuptools,
+               python3-setuptools-scm,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-hdf4
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-hdf4.git
 Homepage: https://github.com/fhs/pyhdf

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=pyhdf
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_TEST_ARGS=--pyargs ${PYBUILD_NAME}


%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|pyhdf)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyhdf-$1.$2/ \
https://github.com/fhs/pyhdf/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|pyhdf)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
